pixi 0.0.5

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • --

pixi.dart #

A Dart port of pixi.js.

Work in Progress #

Implemented so far:

  • Canvas renderer
  • WebGL renderer (with automatic batching)
  • Full scene graph
  • Asset loader / sprite sheet loader
  • Text
  • BitmapFont text
  • Multiline text
  • Primitive drawing

No interaction yet I'm afraid!

Usage #

import 'dart:html';
import 'package:pixi/pixi.dart';


class BunnyExample
{
	var renderer	= new CanvasRenderer(400, 300);
	var stage		= new Stage(new Colour.fromHtml('#6f9'));
	var bunny		= new Sprite.fromImage("bunny.png");


	BunnyExample()
	{
		document.body.append(this.renderer.view);

		this.bunny.anchor 	= new Point(0.5, 0.5);
		this.bunny.position	= new Point(200, 150);

		this.stage.children.add(this.bunny);

		window.requestAnimationFrame(this._animate);
	}


	void _animate(var num)
	{
		window.requestAnimationFrame(this._animate);

		this.bunny.rotation += 0.1;

		this.renderer.render(this.stage);
	}
}


void main()
{
	new BunnyExample();
}

v0.0.4 (2013-11-14) #

This is a merge of the simple-render branch into the master and includes the following changes:

  • Switched to a simpler rendering method by walking the scenegraph instead of maintaining a linked list.
  • Removed the linked list sprite batching and implemented a simple batcher with fixed-size buffers.
  • Extended the simple batcher with an optional one that supports multiple textures.
  • TilingSprite is now derived from Sprite and can be rendered by the batching system so the TilingSprite specific renderer and shader have been deprecated.
  • All GL related resources are now owned and maintained by the GL renderer which will make it possible to use them with multiple renderers and will ease the development of context loss management.
  • The shaders have been pulled out into separate classes which are derived from a base shader class.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  pixi: ^0.0.5

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:pixi/pixi.dart';
  
Version Uploaded Documentation Archive
4.8.1+1 Aug 10, 2018 Go to the documentation of pixi 4.8.1+1 Download pixi 4.8.1+1 archive
4.8.1 Aug 9, 2018 Go to the documentation of pixi 4.8.1 Download pixi 4.8.1 archive
4.6.2+1 Jan 10, 2018 Go to the documentation of pixi 4.6.2+1 Download pixi 4.6.2+1 archive
4.6.2+0 Jan 9, 2018 Go to the documentation of pixi 4.6.2+0 Download pixi 4.6.2+0 archive
0.1.3 Sep 13, 2014 Go to the documentation of pixi 0.1.3 Download pixi 0.1.3 archive
0.1.2 Jul 14, 2014 Go to the documentation of pixi 0.1.2 Download pixi 0.1.2 archive
0.1.1 Jul 14, 2014 Go to the documentation of pixi 0.1.1 Download pixi 0.1.1 archive
0.1.0 Jul 11, 2014 Go to the documentation of pixi 0.1.0 Download pixi 0.1.0 archive
0.0.6 Jul 7, 2014 Go to the documentation of pixi 0.0.6 Download pixi 0.0.6 archive
0.0.5 Feb 5, 2014 Go to the documentation of pixi 0.0.5 Download pixi 0.0.5 archive

All 15 versions...

Awaiting analysis to complete.